Change Password
curl --request POST \
--url 'http://{{base_url}}/api/change-password' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "{{user_password}}",
"new_password": "ccddssfs4fefssasf"
}
'import requests
url = "http://{{base_url}}/api/change-password"
payload = {
"password": "{{user_password}}",
"new_password": "ccddssfs4fefssasf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '{{user_password}}', new_password: 'ccddssfs4fefssasf'})
};
fetch('http://{{base_url}}/api/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "User changed password successful"
}Auth
Change Password
POST
/
api
/
change-password
Change Password
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.
⌘I